Debian Bug report logs - #588588
aircrack-ng: debian/copyright is missing information for src/sha1-sse2.*

version graph

Package: aircrack-ng; Maintainer for aircrack-ng is Carlos Alberto Lopez Perez <clopez@igalia.com>; Source for aircrack-ng is src:aircrack-ng.

Reported by: Christian Kastner <debian@kvr.at>

Date: Fri, 9 Jul 2010 22:15:02 UTC

Severity: serious

Tags: fixed-upstream

Found in version aircrack-ng/1:1.1-1.1

Fixed in version aircrack-ng/1:1.1-2

Done: Carlos Alberto Lopez Perez <clopez@igalia.com>

Bug is archived. No further changes may be made.

Forwarded to http://trac.aircrack-ng.org/ticket/764

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Adam Cécile (Le_Vert) <gandalf@le-vert.net>:
Bug#588588; Package aircrack-ng. (Fri, 09 Jul 2010 22:15:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christian Kastner <debian@kvr.at>:
New Bug report received and forwarded. Copy sent to Adam Cécile (Le_Vert) <gandalf@le-vert.net>. (Fri, 09 Jul 2010 22:15:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Christian Kastner <debian@kvr.at>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: aircrack-ng: debian/copyright is missing information for src/sha1-sse2.*
Date: Sat, 10 Jul 2010 00:12:11 +0200
Package: aircrack-ng
Severity: serious
Justification: Policy 12.5

debian/copyright neither mentions the authors of or the license under which 
src/sha1-sse2.h and src/sha1-sse2.S are distributed.

-- System Information:
Debian Release: squeeze/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (500, 'testing')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.32-trunk-amd64 (SMP w/1 CPU core)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages aircrack-ng depends on:
pn  iw                      <none>           (no description available)
ii  libc6                   2.11.2-2         Embedded GNU C Library: Shared lib
ii  libsqlite3-0            3.6.23.1-4       SQLite 3 shared library
ii  libssl0.9.8             0.9.8o-1         SSL shared libraries
pn  wireless-tools          <none>           (no description available)
ii  zlib1g                  1:1.2.3.4.dfsg-3 compression library - runtime

aircrack-ng recommends no packages.

aircrack-ng suggests no packages.




Information forwarded to debian-bugs-dist@lists.debian.org, Adam Cécile (Le_Vert) <gandalf@le-vert.net>:
Bug#588588; Package aircrack-ng. (Fri, 16 Jul 2010 19:21:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Richard Hartmann <richih.mailinglist@gmail.com>:
Extra info received and forwarded to list. Copy sent to Adam Cécile (Le_Vert) <gandalf@le-vert.net>. (Fri, 16 Jul 2010 19:21:07 GMT) Full text and rfc822 format available.

Message #10 received at 588588@bugs.debian.org (full text, mbox):

From: Richard Hartmann <richih.mailinglist@gmail.com>
To: 588588@bugs.debian.org
Subject: Additional information
Date: Fri, 16 Jul 2010 21:18:18 +0200
upstream

The authors are:

// SHA-1 SSE2 implementation, (C) 2008 Alvaro Salmador
(naplam33@msn.com), ported from Simon Marechal's SHA-1 MMX
// SHA-1 MMX implementation, (C) 2005 Simon Marechal (simon@banquise.net)

Missing licence has been forwarded to upstream, see [1]
for details

Richard

[1] http://trac.aircrack-ng.org/ticket/764




Set Bug forwarded-to-address to 'http://trac.aircrack-ng.org/ticket/764'. Request was from Richard Hartmann <richih.mailinglist@gmail.com> to control@bugs.debian.org. (Fri, 16 Jul 2010 19:27:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Adam Cécile (Le_Vert) <gandalf@le-vert.net>:
Bug#588588; Package aircrack-ng. (Mon, 19 Jul 2010 10:06:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Alexander Reichle-Schmehl <tolimar@debian.org>:
Extra info received and forwarded to list. Copy sent to Adam Cécile (Le_Vert) <gandalf@le-vert.net>. (Mon, 19 Jul 2010 10:06:06 GMT) Full text and rfc822 format available.

Message #17 received at 588588@bugs.debian.org (full text, mbox):

From: Alexander Reichle-Schmehl <tolimar@debian.org>
To: 588588@bugs.debian.org
Subject: Re: Bug#588588: Additional information
Date: Mon, 19 Jul 2010 12:03:01 +0200
Hi!

* Richard Hartmann <richih.mailinglist@gmail.com> [100716 21:18]:

> The authors are:
> 
> // SHA-1 SSE2 implementation, (C) 2008 Alvaro Salmador
> (naplam33@msn.com), ported from Simon Marechal's SHA-1 MMX
> // SHA-1 MMX implementation, (C) 2005 Simon Marechal (simon@banquise.net)
> 
> Missing licence has been forwarded to upstream, see [1]
> for details


FWIW:  There seems to be a GPLed version of that code floating arround,
see for example
http://pyrit.googlecode.com/svn-history/r150/trunk/pyrit/cpyrit/_cpyrit_cpu_sse2.S.
However, I couldn't really trace that file back, but perhaps it helps
nonetheless.


Best Regards,
  Alexander




Information forwarded to debian-bugs-dist@lists.debian.org, Adam Cécile (Le_Vert) <gandalf@le-vert.net>:
Bug#588588; Package aircrack-ng. (Mon, 19 Jul 2010 19:03:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christian Kastner <debian@kvr.at>:
Extra info received and forwarded to list. Copy sent to Adam Cécile (Le_Vert) <gandalf@le-vert.net>. (Mon, 19 Jul 2010 19:03:06 GMT) Full text and rfc822 format available.

Message #22 received at 588588@bugs.debian.org (full text, mbox):

From: Christian Kastner <debian@kvr.at>
To: Alexander Reichle-Schmehl <tolimar@debian.org>
Cc: 588588@bugs.debian.org
Subject: Re: Bug#588588: Additional information
Date: Mon, 19 Jul 2010 20:59:47 +0200
Hi,

On 01/-10/-28163 08:59 PM, Alexander Reichle-Schmehl wrote:
>> The authors are:
>>
>> // SHA-1 SSE2 implementation, (C) 2008 Alvaro Salmador
>> (naplam33@msn.com), ported from Simon Marechal's SHA-1 MMX
>> // SHA-1 MMX implementation, (C) 2005 Simon Marechal (simon@banquise.net)
>>
>> Missing licence has been forwarded to upstream, see [1]
>> for details
> 
> 
> FWIW:  There seems to be a GPLed version of that code floating arround,
> see for example
> http://pyrit.googlecode.com/svn-history/r150/trunk/pyrit/cpyrit/_cpyrit_cpu_sse2.S.
> However, I couldn't really trace that file back, but perhaps it helps
> nonetheless.

I'm packaging Pyrit for Debian, that's how I noticed the missing
copyright. I initially traced this file back to aircrack-ng, and thought
the cause was there.

In the meantime, my upstream has informed me that he had independently
confirmed GPLv3+ with Alvaro prior to inclusion in Pyrit, but I do not
know as of yet the status regarding Simon.

I pointed my upstream to the aircrack-ng ticket, and will reply here as
soon as I find out more.

Christian




Information forwarded to debian-bugs-dist@lists.debian.org, Adam Cécile (Le_Vert) <gandalf@le-vert.net>:
Bug#588588; Package aircrack-ng. (Mon, 19 Jul 2010 19:18:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to Adam Cécile (Le_Vert) <gandalf@le-vert.net>. (Mon, 19 Jul 2010 19:18:05 GMT) Full text and rfc822 format available.

Message #27 received at 588588@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: Christian Kastner <debian@kvr.at>, 588588@bugs.debian.org
Cc: Alexander Reichle-Schmehl <tolimar@debian.org>
Subject: Re: Bug#588588: Additional information
Date: Mon, 19 Jul 2010 20:15:43 +0100
[Message part 1 (text/plain, inline)]
On Mon, Jul 19, 2010 at 20:59:47 +0200, Christian Kastner wrote:

> Hi,
> 
> On 01/-10/-28163 08:59 PM, Alexander Reichle-Schmehl wrote:
> >> The authors are:
> >>
> >> // SHA-1 SSE2 implementation, (C) 2008 Alvaro Salmador
> >> (naplam33@msn.com), ported from Simon Marechal's SHA-1 MMX
> >> // SHA-1 MMX implementation, (C) 2005 Simon Marechal (simon@banquise.net)
> >>
> >> Missing licence has been forwarded to upstream, see [1]
> >> for details
> > 
> > 
> > FWIW:  There seems to be a GPLed version of that code floating arround,
> > see for example
> > http://pyrit.googlecode.com/svn-history/r150/trunk/pyrit/cpyrit/_cpyrit_cpu_sse2.S.
> > However, I couldn't really trace that file back, but perhaps it helps
> > nonetheless.
> 
> I'm packaging Pyrit for Debian, that's how I noticed the missing
> copyright. I initially traced this file back to aircrack-ng, and thought
> the cause was there.
> 
> In the meantime, my upstream has informed me that he had independently
> confirmed GPLv3+ with Alvaro prior to inclusion in Pyrit, but I do not
> know as of yet the status regarding Simon.
> 
> I pointed my upstream to the aircrack-ng ticket, and will reply here as
> soon as I find out more.
> 
Can't these packages use libcrypto (not gpl-compatible, so maybe not the
best idea in all cases) or libgcrypt or some other crypto library
instead of having their own sha1 implementations?

Cheers,
Julien
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Adam Cécile (Le_Vert) <gandalf@le-vert.net>:
Bug#588588; Package aircrack-ng. (Mon, 19 Jul 2010 21:48:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christian Kastner <debian@kvr.at>:
Extra info received and forwarded to list. Copy sent to Adam Cécile (Le_Vert) <gandalf@le-vert.net>. (Mon, 19 Jul 2010 21:48:06 GMT) Full text and rfc822 format available.

Message #32 received at 588588@bugs.debian.org (full text, mbox):

From: Christian Kastner <debian@kvr.at>
To: Julien Cristau <jcristau@debian.org>
Cc: 588588@bugs.debian.org, Alexander Reichle-Schmehl <tolimar@debian.org>
Subject: Re: Bug#588588: Additional information
Date: Mon, 19 Jul 2010 23:46:06 +0200
On 07/19/2010 09:15 PM, Julien Cristau wrote:
> Can't these packages use libcrypto (not gpl-compatible, so maybe not the
> best idea in all cases) or libgcrypt or some other crypto library
> instead of having their own sha1 implementations?

Pyrit falls back to libcrypto when the SSE2 implementation of SHA1
cannot be used (currently the case for !amd64). There is a significant
performance difference.






Information forwarded to debian-bugs-dist@lists.debian.org, Adam Cécile (Le_Vert) <gandalf@le-vert.net>:
Bug#588588; Package aircrack-ng. (Tue, 20 Jul 2010 18:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christian Kastner <debian@kvr.at>:
Extra info received and forwarded to list. Copy sent to Adam Cécile (Le_Vert) <gandalf@le-vert.net>. (Tue, 20 Jul 2010 18:27:03 GMT) Full text and rfc822 format available.

Message #37 received at 588588@bugs.debian.org (full text, mbox):

From: Christian Kastner <debian@kvr.at>
To: Richard Hartmann <richih.mailinglist@gmail.com>
Cc: 588588@bugs.debian.org
Subject: Re: Additional information
Date: Tue, 20 Jul 2010 20:22:59 +0200
On 01/-10/-28163 08:59 PM, Richard Hartmann wrote:
> upstream
> 
> The authors are:
> 
> // SHA-1 SSE2 implementation, (C) 2008 Alvaro Salmador
> (naplam33@msn.com), ported from Simon Marechal's SHA-1 MMX
> // SHA-1 MMX implementation, (C) 2005 Simon Marechal (simon@banquise.net)
> 
> Missing licence has been forwarded to upstream, see [1]
> for details
>
> [1] http://trac.aircrack-ng.org/ticket/764

My upstream for Pyrit has re-confirmed GPLv3+ with OpenSSL linking
exception with both of the original authors mentioned above, and has
updated his source file[2]:

If aircrack-ng's upstream can confirm that all contributions present in
there version are covered by Pyrit's version, they could update their
licensing terms with that information.

Of course, it would probably be easier to just directly contact the
authors and confirm, as my upstream did.

[2]http://code.google.com/p/pyrit/source/browse/trunk/pyrit/cpyrit/_cpyrit_cpu_sse2.S





Information forwarded to debian-bugs-dist@lists.debian.org, Adam Cécile (Le_Vert) <gandalf@le-vert.net>:
Bug#588588; Package aircrack-ng. (Tue, 20 Jul 2010 19:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Richard Hartmann <richih.mailinglist@gmail.com>:
Extra info received and forwarded to list. Copy sent to Adam Cécile (Le_Vert) <gandalf@le-vert.net>. (Tue, 20 Jul 2010 19:51:03 GMT) Full text and rfc822 format available.

Message #42 received at 588588@bugs.debian.org (full text, mbox):

From: Richard Hartmann <richih.mailinglist@gmail.com>
To: Christian Kastner <debian@kvr.at>
Cc: 588588@bugs.debian.org
Subject: Re: Additional information
Date: Tue, 20 Jul 2010 21:48:00 +0200
I just made aircrack-ng aware of the updates, let's see if we can
squash one more RC bug :)


Richard




Information forwarded to debian-bugs-dist@lists.debian.org, Adam Cécile (Le_Vert) <gandalf@le-vert.net>:
Bug#588588; Package aircrack-ng. (Sun, 10 Oct 2010 15:27:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Adam D. Barratt" <adam@adam-barratt.org.uk>:
Extra info received and forwarded to list. Copy sent to Adam Cécile (Le_Vert) <gandalf@le-vert.net>. (Sun, 10 Oct 2010 15:27:08 GMT) Full text and rfc822 format available.

Message #47 received at 588588@bugs.debian.org (full text, mbox):

From: "Adam D. Barratt" <adam@adam-barratt.org.uk>
To: Richard Hartmann <richih.mailinglist@gmail.com>, 588588@bugs.debian.org
Cc: Christian Kastner <debian@kvr.at>
Subject: Re: Bug#588588: Additional information
Date: Sun, 10 Oct 2010 16:26:34 +0100
On Tue, 2010-07-20 at 21:48 +0200, Richard Hartmann wrote:
> I just made aircrack-ng aware of the updates, let's see if we can
> squash one more RC bug :)

Any news on that?

Regards,

Adam





Information forwarded to debian-bugs-dist@lists.debian.org, Adam Cécile (Le_Vert) <gandalf@le-vert.net>:
Bug#588588; Package aircrack-ng. (Sun, 10 Oct 2010 18:39:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Richard Hartmann <richih.mailinglist@gmail.com>:
Extra info received and forwarded to list. Copy sent to Adam Cécile (Le_Vert) <gandalf@le-vert.net>. (Sun, 10 Oct 2010 18:39:02 GMT) Full text and rfc822 format available.

Message #52 received at 588588@bugs.debian.org (full text, mbox):

From: Richard Hartmann <richih.mailinglist@gmail.com>
To: "Adam D. Barratt" <adam@adam-barratt.org.uk>
Cc: 588588@bugs.debian.org, Christian Kastner <debian@kvr.at>
Subject: Re: Bug#588588: Additional information
Date: Sun, 10 Oct 2010 20:34:03 +0200
On Sun, Oct 10, 2010 at 17:26, Adam D. Barratt <adam@adam-barratt.org.uk> wrote:

> Any news on that?

I gave up poking at some point. Let me renew that effort :)

Thanks for reminding me!


Richard




Information forwarded to debian-bugs-dist@lists.debian.org, Adam Cécile (Le_Vert) <gandalf@le-vert.net>:
Bug#588588; Package aircrack-ng. (Tue, 02 Nov 2010 18:12:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Moritz Muehlenhoff <jmm@inutil.org>:
Extra info received and forwarded to list. Copy sent to Adam Cécile (Le_Vert) <gandalf@le-vert.net>. (Tue, 02 Nov 2010 18:12:06 GMT) Full text and rfc822 format available.

Message #57 received at 588588@bugs.debian.org (full text, mbox):

From: Moritz Muehlenhoff <jmm@inutil.org>
To: Richard Hartmann <richih.mailinglist@gmail.com>
Cc: "Adam D. Barratt" <adam@adam-barratt.org.uk>, 588588@bugs.debian.org, Christian Kastner <debian@kvr.at>
Subject: Re: Bug#588588: Additional information
Date: Tue, 2 Nov 2010 19:09:32 +0100
On Sun, Oct 10, 2010 at 08:34:03PM +0200, Richard Hartmann wrote:
> On Sun, Oct 10, 2010 at 17:26, Adam D. Barratt <adam@adam-barratt.org.uk> wrote:
> 
> > Any news on that?
> 
> I gave up poking at some point. Let me renew that effort :)
> 
> Thanks for reminding me!

Let me remind you again :-)

Cheers,
        Moritz




Information forwarded to debian-bugs-dist@lists.debian.org, Adam Cécile (Le_Vert) <gandalf@le-vert.net>:
Bug#588588; Package aircrack-ng. (Thu, 04 Nov 2010 18:45:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Moritz Muehlenhoff <jmm@inutil.org>:
Extra info received and forwarded to list. Copy sent to Adam Cécile (Le_Vert) <gandalf@le-vert.net>. (Thu, 04 Nov 2010 18:45:09 GMT) Full text and rfc822 format available.

Message #62 received at 588588@bugs.debian.org (full text, mbox):

From: Moritz Muehlenhoff <jmm@inutil.org>
To: Moritz Muehlenhoff <jmm@inutil.org>
Cc: Richard Hartmann <richih.mailinglist@gmail.com>, "Adam D. Barratt" <adam@adam-barratt.org.uk>, 588588@bugs.debian.org, Christian Kastner <debian@kvr.at>
Subject: Re: Bug#588588: Additional information
Date: Thu, 4 Nov 2010 19:40:06 +0100
On Tue, Nov 02, 2010 at 07:09:32PM +0100, Moritz Muehlenhoff wrote:
> On Sun, Oct 10, 2010 at 08:34:03PM +0200, Richard Hartmann wrote:
> > On Sun, Oct 10, 2010 at 17:26, Adam D. Barratt <adam@adam-barratt.org.uk> wrote:
> > 
> > > Any news on that?
> > 
> > I gave up poking at some point. Let me renew that effort :)
> > 
> > Thanks for reminding me!
> 
> Let me remind you again :-)

I've contacted the authors.

Cheers,
        Moritz




Information forwarded to debian-bugs-dist@lists.debian.org, Adam Cécile (Le_Vert) <gandalf@le-vert.net>:
Bug#588588; Package aircrack-ng. (Fri, 05 Nov 2010 19:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Richard Hartmann <richih.mailinglist@gmail.com>:
Extra info received and forwarded to list. Copy sent to Adam Cécile (Le_Vert) <gandalf@le-vert.net>. (Fri, 05 Nov 2010 19:45:03 GMT) Full text and rfc822 format available.

Message #67 received at 588588@bugs.debian.org (full text, mbox):

From: Richard Hartmann <richih.mailinglist@gmail.com>
To: Moritz Muehlenhoff <jmm@inutil.org>
Cc: "Adam D. Barratt" <adam@adam-barratt.org.uk>, 588588@bugs.debian.org, Christian Kastner <debian@kvr.at>
Subject: Re: Bug#588588: Additional information
Date: Fri, 5 Nov 2010 20:42:32 +0100
On Thu, Nov 4, 2010 at 19:40, Moritz Muehlenhoff <jmm@inutil.org> wrote:

> I've contacted the authors.

Sorry, I was on the road; just came back and am churning through email
atm.

Did you reach anyone? I poked repeatedly, but did not get a reply.


Thanks for not forgetting this and sorry that I did not get any results,
yet,
Richard




Information forwarded to debian-bugs-dist@lists.debian.org, Adam Cécile (Le_Vert) <gandalf@le-vert.net>:
Bug#588588; Package aircrack-ng. (Sat, 06 Nov 2010 16:03:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Moritz Muehlenhoff <jmm@inutil.org>:
Extra info received and forwarded to list. Copy sent to Adam Cécile (Le_Vert) <gandalf@le-vert.net>. (Sat, 06 Nov 2010 16:03:09 GMT) Full text and rfc822 format available.

Message #72 received at 588588@bugs.debian.org (full text, mbox):

From: Moritz Muehlenhoff <jmm@inutil.org>
To: Richard Hartmann <richih.mailinglist@gmail.com>
Cc: Moritz Muehlenhoff <jmm@inutil.org>, "Adam D. Barratt" <adam@adam-barratt.org.uk>, 588588@bugs.debian.org, Christian Kastner <debian@kvr.at>
Subject: Re: Bug#588588: Additional information
Date: Sat, 6 Nov 2010 17:00:04 +0100
On Fri, Nov 05, 2010 at 08:42:32PM +0100, Richard Hartmann wrote:
> On Thu, Nov 4, 2010 at 19:40, Moritz Muehlenhoff <jmm@inutil.org> wrote:
> 
> > I've contacted the authors.
> 
> Sorry, I was on the road; just came back and am churning through email
> atm.
> 
> Did you reach anyone? I poked repeatedly, but did not get a reply.
> 
> 
> Thanks for not forgetting this and sorry that I did not get any results,
> yet,
> Richard

Alvaro confirmed GPL:

| Hi,
| I told the pyrit guys i was ok with that, so yeah I'm ok with it, but i'm
| not sure what license applies to aircrack-ng as a whole currently (maybe 
| it's gpl v2, thus incompatible with gpl v3?). I'm ok with either v2 or v3 
| for this anyway :)
| cheers,

Cheers,
        Moritz




Information forwarded to debian-bugs-dist@lists.debian.org, Adam Cécile (Le_Vert) <gandalf@le-vert.net>:
Bug#588588; Package aircrack-ng. (Sat, 06 Nov 2010 19:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Richard Hartmann <richih.mailinglist@gmail.com>:
Extra info received and forwarded to list. Copy sent to Adam Cécile (Le_Vert) <gandalf@le-vert.net>. (Sat, 06 Nov 2010 19:15:03 GMT) Full text and rfc822 format available.

Message #77 received at 588588@bugs.debian.org (full text, mbox):

From: Richard Hartmann <richih.mailinglist@gmail.com>
To: Moritz Muehlenhoff <jmm@inutil.org>
Cc: "Adam D. Barratt" <adam@adam-barratt.org.uk>, 588588@bugs.debian.org, Christian Kastner <debian@kvr.at>
Subject: Re: Bug#588588: Additional information
Date: Sat, 6 Nov 2010 20:12:28 +0100
On Sat, Nov 6, 2010 at 17:00, Moritz Muehlenhoff <jmm@inutil.org> wrote:

> Alvaro confirmed GPL:

If he is OK with both 2 & 3, can you ask him if GPL 2+ is OK, as well?


Thanks,
Richard




Information forwarded to debian-bugs-dist@lists.debian.org, Adam Cécile (Le_Vert) <gandalf@le-vert.net>:
Bug#588588; Package aircrack-ng. (Mon, 08 Nov 2010 18:27:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Moritz Muehlenhoff <jmm@inutil.org>:
Extra info received and forwarded to list. Copy sent to Adam Cécile (Le_Vert) <gandalf@le-vert.net>. (Mon, 08 Nov 2010 18:27:03 GMT) Full text and rfc822 format available.

Message #82 received at 588588@bugs.debian.org (full text, mbox):

From: Moritz Muehlenhoff <jmm@inutil.org>
To: naplam33@msn.com
Cc: Moritz Muehlenhoff <jmm@inutil.org>, "Adam D. Barratt" <adam@adam-barratt.org.uk>, 588588@bugs.debian.org, Christian Kastner <debian@kvr.at>, richih.mailinglist@gmail.com
Subject: Re: Bug#588588: Additional information
Date: Mon, 8 Nov 2010 19:22:16 +0100
On Sat, Nov 06, 2010 at 08:12:28PM +0100, Richard Hartmann wrote:
> On Sat, Nov 6, 2010 at 17:00, Moritz Muehlenhoff <jmm@inutil.org> wrote:
> 
> > Alvaro confirmed GPL:
> 
> If he is OK with both 2 & 3, can you ask him if GPL 2+ is OK, as well?

Alvaro,
thanks for your previous mail on the matter of the license of your
of your SHA-1 SSE2/MMX implementation. 

You said you were fine with either GPLv2 or GPLv3. Aircrack-ng is
licensed under the GPLv2 with an additional exception for linking
against OpenSSL:

| In addition, as a special exception, the copyright holders give
| permission to link the code of portions of this program with the
| OpenSSL library under certain conditions as described in each
| individual source file, and distribute linked combinations
| including the two.
| You must obey the GNU General Public License in all respects for all of
| the code used other than OpenSSL.
| * If you modify file(s) with this exception, you may extend this
|   exception to your version of the file(s), but you are not obligated to
|   do so.
| * If you do not wish to do so, delete this exception statement from your
|   version.
| * If you delete this exception statement from all source files in the
|   program, then also delete it here.

Can you give us a quick reconfirmation that GPLv2 plus the exception
above can be taken as the license for your code?

Cheers,
        Moritz




Information forwarded to debian-bugs-dist@lists.debian.org, Adam Cécile (Le_Vert) <gandalf@le-vert.net>:
Bug#588588; Package aircrack-ng. (Mon, 18 Apr 2011 05:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dmitry Eremin-Solenikov <dbaryshkov@gmail.com>:
Extra info received and forwarded to list. Copy sent to Adam Cécile (Le_Vert) <gandalf@le-vert.net>. (Mon, 18 Apr 2011 05:03:03 GMT) Full text and rfc822 format available.

Message #87 received at 588588@bugs.debian.org (full text, mbox):

From: Dmitry Eremin-Solenikov <dbaryshkov@gmail.com>
To: Richard Hartmann <richih.mailinglist@gmail.com>
Cc: Moritz Muehlenhoff <jmm@inutil.org>, "Adam D. Barratt" <adam@adam-barratt.org.uk>, 588588@bugs.debian.org, Christian Kastner <debian@kvr.at>
Subject: Re: Bug#588588: Additional information
Date: Mon, 18 Apr 2011 08:58:47 +0400
Hello,

On Sat, Nov 06, 2010 at 08:12:28PM +0100, Richard Hartmann wrote:
> On Sat, Nov 6, 2010 at 17:00, Moritz Muehlenhoff <jmm@inutil.org> wrote:
> 
> > Alvaro confirmed GPL:
> 
> If he is OK with both 2 & 3, can you ask him if GPL 2+ is OK, as well?

Any progress on this?

-- 
With best wishes
Dmitry





Information forwarded to debian-bugs-dist@lists.debian.org, Adam Cécile (Le_Vert) <gandalf@le-vert.net>:
Bug#588588; Package aircrack-ng. (Mon, 18 Apr 2011 07:57:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Richard Hartmann <richih.mailinglist@gmail.com>:
Extra info received and forwarded to list. Copy sent to Adam Cécile (Le_Vert) <gandalf@le-vert.net>. (Mon, 18 Apr 2011 07:57:08 GMT) Full text and rfc822 format available.

Message #92 received at 588588@bugs.debian.org (full text, mbox):

From: Richard Hartmann <richih.mailinglist@gmail.com>
To: Dmitry Eremin-Solenikov <dbaryshkov@gmail.com>
Cc: Moritz Muehlenhoff <jmm@inutil.org>, "Adam D. Barratt" <adam@adam-barratt.org.uk>, 588588@bugs.debian.org, Christian Kastner <debian@kvr.at>
Subject: Re: Bug#588588: Additional information
Date: Mon, 18 Apr 2011 09:54:39 +0200
Re-re-re-poking them.




Information forwarded to debian-bugs-dist@lists.debian.org, Adam Cécile (Le_Vert) <gandalf@le-vert.net>:
Bug#588588; Package aircrack-ng. (Thu, 12 May 2011 21:00:21 GMT) Full text and rfc822 format available.

Acknowledgement sent to Richard Hartmann <richih.mailinglist@gmail.com>:
Extra info received and forwarded to list. Copy sent to Adam Cécile (Le_Vert) <gandalf@le-vert.net>. (Thu, 12 May 2011 21:00:21 GMT) Full text and rfc822 format available.

Message #97 received at 588588@bugs.debian.org (full text, mbox):

From: Richard Hartmann <richih.mailinglist@gmail.com>
To: Dmitry Eremin-Solenikov <dbaryshkov@gmail.com>, 588588-done@bugs.debian.org
Cc: Moritz Muehlenhoff <jmm@inutil.org>, "Adam D. Barratt" <adam@adam-barratt.org.uk>, 588588@bugs.debian.org, Christian Kastner <debian@kvr.at>
Subject: Re: Bug#588588: Additional information
Date: Thu, 12 May 2011 22:59:05 +0200
According to Mister_X in #aircrack-ng on freenode, aircrack-ng never
took any code from Pyrite, it was the other way round. Closing.




Reply sent to Richard Hartmann <richih.mailinglist@gmail.com>:
You have taken responsibility. (Thu, 12 May 2011 21:00:24 GMT) Full text and rfc822 format available.

Notification sent to Christian Kastner <debian@kvr.at>:
Bug acknowledged by developer. (Thu, 12 May 2011 21:00:24 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Adam Cécile (Le_Vert) <gandalf@le-vert.net>:
Bug#588588; Package aircrack-ng. (Thu, 12 May 2011 22:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christian Kastner <debian@kvr.at>:
Extra info received and forwarded to list. Copy sent to Adam Cécile (Le_Vert) <gandalf@le-vert.net>. (Thu, 12 May 2011 22:15:03 GMT) Full text and rfc822 format available.

Message #107 received at 588588@bugs.debian.org (full text, mbox):

From: Christian Kastner <debian@kvr.at>
To: Richard Hartmann <richih.mailinglist@gmail.com>
Cc: Dmitry Eremin-Solenikov <dbaryshkov@gmail.com>, 588588@bugs.debian.org, Moritz Muehlenhoff <jmm@inutil.org>, "Adam D. Barratt" <adam@adam-barratt.org.uk>, control@bugs.debian.org
Subject: Re: Bug#588588: Additional information
Date: Fri, 13 May 2011 00:09:31 +0200
[Message part 1 (text/plain, inline)]
reopen 588588
thanks

On 05/12/2011 10:59 PM, Richard Hartmann wrote:
> According to Mister_X in #aircrack-ng on freenode, aircrack-ng never
> took any code from Pyrite, it was the other way round. Closing.

There seems to be a misunderstanding here. The issue wasn't aircrack-ng
taking code from Pyrit, it was aircrack-ng distributing src/sha1-sse2.h
and src/sha1-sse2.S without any copyright attribution nor licensing terms.

Pyrit in turn took these files (or parts thereof) from aircrack-ng a
long time ago and added its own modifications. When I addressed this
issue, Pyrit's upstream simply contacted the listed authors of the files
and confirmed licensing under the terms of the GPL-3+, with an OpenSSL
linking exception -- all within 48 hours.

One of the authors apparently already replied[0], but the reply was
incomplete as it does not mention an OpenSSL linking exception.

I added exact instructions[1] to the upstream ticket in the hope that
they finally resolve this issue. The literally have to just copy/paste
my mail template and contact the authors.

Having upstream do this directly (instead of us contacting them) is IMHO
the only correct way to go. Having us act as an itermediary just
complicates things unnecessarily, and the issue is trivially easy to
resolve.

[0] http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=588588#72
[1] http://trac.aircrack-ng.org/ticket/764#comment:2


Christian

[signature.asc (application/pgp-signature, attachment)]

Did not alter fixed versions and reopened. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 12 May 2011 22:15:07 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Adam Cécile (Le_Vert) <gandalf@le-vert.net>:
Bug#588588; Package aircrack-ng. (Thu, 12 May 2011 22:33:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Richard Hartmann <richih.mailinglist@gmail.com>:
Extra info received and forwarded to list. Copy sent to Adam Cécile (Le_Vert) <gandalf@le-vert.net>. (Thu, 12 May 2011 22:33:05 GMT) Full text and rfc822 format available.

Message #114 received at 588588@bugs.debian.org (full text, mbox):

From: Richard Hartmann <richih.mailinglist@gmail.com>
To: Christian Kastner <debian@kvr.at>
Cc: Dmitry Eremin-Solenikov <dbaryshkov@gmail.com>, 588588@bugs.debian.org, Moritz Muehlenhoff <jmm@inutil.org>, "Adam D. Barratt" <adam@adam-barratt.org.uk>
Subject: Re: Bug#588588: Additional information
Date: Fri, 13 May 2011 00:30:56 +0200
On Fri, May 13, 2011 at 00:09, Christian Kastner <debian@kvr.at> wrote:

> There seems to be a misunderstanding here.

Indeed. Sorry & thanks for the clarification.


> [1] http://trac.aircrack-ng.org/ticket/764#comment:2

On to the next round. Yay?


Richard




Added tag(s) fixed-upstream. Request was from bts-link-upstream@lists.alioth.debian.org to control@bugs.debian.org. (Mon, 30 May 2011 16:42:17 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Adam Cécile (Le_Vert) <gandalf@le-vert.net>:
Bug#588588; Package aircrack-ng. (Thu, 09 Jun 2011 08:33:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Adam Cécile <acecile@mandriva.com>:
Extra info received and forwarded to list. Copy sent to Adam Cécile (Le_Vert) <gandalf@le-vert.net>. (Thu, 09 Jun 2011 08:33:04 GMT) Full text and rfc822 format available.

Message #121 received at 588588@bugs.debian.org (full text, mbox):

From: Adam Cécile <acecile@mandriva.com>
To: 588588@bugs.debian.org
Subject: Aircrack licence issue
Date: Thu, 09 Jun 2011 10:22:42 +0200
Hi guys,

Sorry for the delay, well... Really sorry for the amazing delay.

I just saw the issue looks like being fixed upstream. I'll try to 
prepare an updated package today, either only a patch to include licence 
information or an updated package against svn trunk.
Need to have a chat with Mister_X to decide what to do first.

Regards, Adam.

-- 
Adam CÉCILE Mandriva / Linbox
1, rue Pierre Simon de Laplace : 0 810 LINBOX
F-57070 Metz direct : +33 3 87 50 87 95
FRANCE www.linbox.com





Information forwarded to debian-bugs-dist@lists.debian.org, Adam Cécile (Le_Vert) <gandalf@le-vert.net>:
Bug#588588; Package aircrack-ng. (Thu, 22 Sep 2011 10:33:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to intrigeri <intrigeri@boum.org>:
Extra info received and forwarded to list. Copy sent to Adam Cécile (Le_Vert) <gandalf@le-vert.net>. (Thu, 22 Sep 2011 10:33:07 GMT) Full text and rfc822 format available.

Message #126 received at 588588@bugs.debian.org (full text, mbox):

From: intrigeri <intrigeri@boum.org>
To: Adam Cécile <acecile@mandriva.com>
Cc: 588588@bugs.debian.org
Subject: Re: Bug#588588: Aircrack licence issue
Date: Thu, 22 Sep 2011 12:29:00 +0200
Hi,

Adam Cécile wrote (09 Jun 2011 08:22:42 GMT) :
> Sorry for the delay, well... Really sorry for the amazing delay.

> I just saw the issue looks like being fixed upstream. I'll try to
> prepare an updated package today, either only a patch to include
> licence information or an updated package against svn trunk. Need to
> have a chat with Mister_X to decide what to do first.

Anything new?

Bye,
--
  intrigeri <intrigeri@boum.org>
  | GnuPG key @ https://gaffer.ptitcanardnoir.org/intrigeri/intrigeri.asc
  | OTR fingerprint @ https://gaffer.ptitcanardnoir.org/intrigeri/otr.asc
  | Then we'll come from the shadows.




Information forwarded to debian-bugs-dist@lists.debian.org, Adam Cécile (Le_Vert) <gandalf@le-vert.net>:
Bug#588588; Package aircrack-ng. (Fri, 28 Oct 2011 07:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Alexander Reichle-Schmehl <tolimar@debian.org>:
Extra info received and forwarded to list. Copy sent to Adam Cécile (Le_Vert) <gandalf@le-vert.net>. (Fri, 28 Oct 2011 07:57:03 GMT) Full text and rfc822 format available.

Message #131 received at 588588@bugs.debian.org (full text, mbox):

From: Alexander Reichle-Schmehl <tolimar@debian.org>
To: Paul Wise <pabs@debian.org>, 642934@bugs.debian.org, 588588@bugs.debian.org
Cc: Celejar <celejar@gmail.com>, Carlos Alberto Lopez Perez <clopez@igalia.com>
Subject: Re: Bug#642934: 642934: aircrack-ng removal
Date: Fri, 28 Oct 2011 09:54:17 +0200
tag 588588 +fixed-upstream
thanks

Hi!


* Paul Wise <pabs@debian.org> [111028 09:20]:

> If any of you are willing to take over the aircrack-ng package and fix
> the licensing issue, I would be happy to provide sponsorship for it,
> especially if you are willing to join the Debian wireless team.

Looking at it, it seems that at least the licensing issue has been dealt
with.

The correspronding ticket in upstreams tracking system got closed (see
http://trac.aircrack-ng.org/ticket/764), so it just needs someone to
package the thing again and take care of it.


Best Regards,
  Alexander




Information forwarded to debian-bugs-dist@lists.debian.org, ladnymichal@interia.pl, Adam Cécile (Le_Vert) <gandalf@le-vert.net>:
Bug#588588; Package aircrack-ng. (Sat, 05 Nov 2011 12:45:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michał <ladnymichal@interia.pl>:
Extra info received and forwarded to list. Copy sent to ladnymichal@interia.pl, Adam Cécile (Le_Vert) <gandalf@le-vert.net>. (Sat, 05 Nov 2011 12:45:11 GMT) Full text and rfc822 format available.

Message #136 received at 588588@bugs.debian.org (full text, mbox):

From: Michał <ladnymichal@interia.pl>
To: Debian Bug Tracking System <588588@bugs.debian.org>
Subject: Re: aircrack-ng: debian/copyright is missing information for src/sha1-sse2.*
Date: Sat, 05 Nov 2011 13:42:46 +0100
Package: aircrack-ng
Version: 1:1.1-1.1+b1
Followup-For: Bug #588588

Any news here?

Is there possibility to find aircrack in debian?



-- System Information:
Debian Release: wheezy/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (1, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 3.0-4.slh.6-aptosid-amd64 (SMP w/2 CPU cores; PREEMPT)
Locale: LANG=pl_PL.UTF-8, LC_CTYPE=pl_PL.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages aircrack-ng depends on:
ii  iw              3.1-1         
ii  libc6           2.13-21       
ii  libsqlite3-0    3.7.8-1       
ii  libssl1.0.0     1.0.0e-2      
ii  wireless-tools  30~pre9-6     
ii  zlib1g          1:1.2.5.dfsg-1

aircrack-ng recommends no packages.

aircrack-ng suggests no packages.

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Adam Cécile (Le_Vert) <gandalf@le-vert.net>:
Bug#588588; Package aircrack-ng. (Fri, 10 Feb 2012 14:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Pablo Santamaria <santamaria.p@gmail.com>:
Extra info received and forwarded to list. Copy sent to Adam Cécile (Le_Vert) <gandalf@le-vert.net>. (Fri, 10 Feb 2012 14:45:04 GMT) Full text and rfc822 format available.

Message #141 received at 588588@bugs.debian.org (full text, mbox):

From: Pablo Santamaria <santamaria.p@gmail.com>
To: 588588@bugs.debian.org
Subject: aircrack-ng: debian/copyright is missing information for src/sha1-sse2.*
Date: Fri, 10 Feb 2012 11:43:28 -0300
Is anyone working on this?

---
Pablo




Information forwarded to debian-bugs-dist@lists.debian.org, Adam Cécile (Le_Vert) <gandalf@le-vert.net>:
Bug#588588; Package aircrack-ng. (Fri, 24 Feb 2012 22:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to intrigeri <intrigeri@boum.org>:
Extra info received and forwarded to list. Copy sent to Adam Cécile (Le_Vert) <gandalf@le-vert.net>. (Fri, 24 Feb 2012 22:03:03 GMT) Full text and rfc822 format available.

Message #146 received at 588588@bugs.debian.org (full text, mbox):

From: intrigeri <intrigeri@boum.org>
To: Pablo Santamaria <santamaria.p@gmail.com>
Cc: 588588@bugs.debian.org
Subject: Re: Bug#588588: aircrack-ng: debian/copyright is missing information for src/sha1-sse2.*
Date: Fri, 24 Feb 2012 22:58:25 +0100
Pablo Santamaria wrote (10 Feb 2012 14:43:28 GMT) :
> Is anyone working on this?

Yes:

http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=642934
http://trac.aircrack-ng.org/ticket/953




Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Mon, 18 Jun 2012 08:06:03 GMT) Full text and rfc822 format available.

Reply sent to Carlos Alberto Lopez Perez <clopez@igalia.com>:
You have taken responsibility. (Wed, 27 Jun 2012 17:03:07 GMT) Full text and rfc822 format available.

Notification sent to Christian Kastner <debian@kvr.at>:
Bug acknowledged by developer. (Wed, 27 Jun 2012 17:03:07 GMT) Full text and rfc822 format available.

Message #153 received at 588588-close@bugs.debian.org (full text, mbox):

From: Carlos Alberto Lopez Perez <clopez@igalia.com>
To: 588588-close@bugs.debian.org
Subject: Bug#588588: fixed in aircrack-ng 1:1.1-2
Date: Wed, 27 Jun 2012 17:02:09 +0000
Source: aircrack-ng
Source-Version: 1:1.1-2

We believe that the bug you reported is fixed in the latest version of
aircrack-ng, which is due to be installed in the Debian FTP archive:

aircrack-ng_1.1-2.debian.tar.gz
  to main/a/aircrack-ng/aircrack-ng_1.1-2.debian.tar.gz
aircrack-ng_1.1-2.dsc
  to main/a/aircrack-ng/aircrack-ng_1.1-2.dsc
aircrack-ng_1.1-2_amd64.deb
  to main/a/aircrack-ng/aircrack-ng_1.1-2_amd64.deb
aircrack-ng_1.1.orig.tar.gz
  to main/a/aircrack-ng/aircrack-ng_1.1.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 588588@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Carlos Alberto Lopez Perez <clopez@igalia.com> (supplier of updated aircrack-ng package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA512

Format: 1.8
Date: Mon, 18 Jun 2012 13:17:36 WST
Source: aircrack-ng
Binary: aircrack-ng
Architecture: source amd64
Version: 1:1.1-2
Distribution: unstable
Urgency: low
Maintainer: Carlos Alberto Lopez Perez <clopez@igalia.com>
Changed-By: Carlos Alberto Lopez Perez <clopez@igalia.com>
Description: 
 aircrack-ng - wireless WEP/WPA cracking utilities
Closes: 588588 600753 610688 642698 642934
Changes: 
 aircrack-ng (1:1.1-2) unstable; urgency=low
 .
   * New mantainer.
   * Re-upload to unstable (Closes: #642934)
   * Rework debian/*
     Switch debian/rules to dh.
     Switch debian/copyright to machine-readable.
     Add DEP-3 headers to debian/patches/*
   * Remove injection patches from package files. airdriver-ng downloads
     this patches from Internet, so is not needed at all to have
     this files on the package.
   * Include initial pre-downloaded file airodump-ng-oui.txt on package.
   * Add hardening flags.
   * Compile with sqlite support (Closes: #610688) (Closes: #600753)
   * Add 004-fix-license-issues.diff (cherry-pick from svn).
     Fixes copyright issues with src/sha1-sse2.* (Closes: #588588)
   * Add 005-fix-issues-cppcheck-r2008.patch (cherry-pick from svn).
     Fix issues on the code found by cppcheck.
   * Add 006-fix-ftbfs-and-man-path.patch (cherry-pick from svn).
     Fix FTBFS with gcc>=4.6 and fix manpage path.
   * Add 007-Add-support-for-GnuTLS.patch
     Add support for GnuTLS and link against GnuTLS.
     Fix issues with GPL and OpenSSL licenses.
   * Add 008-fix_path_airodump-ng-oui.patch.
     Fix paths to file airodump-ng-oui.txt on airodump-ng and script
     airodump-ng-oui-update.
   * Add 009-airodump-ng-oui-update-manpage.patch (cherry-pick from svn).
     Include manpage for script airodump-ng-oui-update.
   * Add 010-add-freebsd-support.patch
     Add support for GNU/kFreeBSD (Closes: #642698)
   * Update Standards-Version to 3.9.2
Checksums-Sha256: 
 c9d9bbbb633328b1dd4b9141d65632d5639b5df8cb4b5904ebaf6344175eddb2 1867 aircrack-ng_1.1-2.dsc
 08eaa2a7ccc3926f54e0efa8f0928a39a06c98498efe67dba8be91a2c883177c 208912 aircrack-ng_1.1-2.debian.tar.gz
 407fd8c86dfef0a75c2fefc8b179037e5762131b391f332c6dcccb46b1b6c4c5 823194 aircrack-ng_1.1-2_amd64.deb
 b136b549b7d2a2751c21793100075ea43b28de9af4c1969508bb95bcc92224ad 1453272 aircrack-ng_1.1.orig.tar.gz
Checksums-Sha1: 
 63909fc131c19882d2a647ba446da517b911268d 1867 aircrack-ng_1.1-2.dsc
 67c6f0201370cd750c3d89a4502426d1e76c07e0 208912 aircrack-ng_1.1-2.debian.tar.gz
 254cd135e1621fc0034ffe6e795473f3f6caf511 823194 aircrack-ng_1.1-2_amd64.deb
 16eed1a8cf06eb8274ae382150b56589b23adf77 1453272 aircrack-ng_1.1.orig.tar.gz
Files: 
 df871c5136a879ea1ae6f2aef238121f 1867 net optional aircrack-ng_1.1-2.dsc
 928c26cd910a1b1ae235f3f3a599cdec 208912 net optional aircrack-ng_1.1-2.debian.tar.gz
 e909b7628b031d028b4c00cf6e66b567 823194 net optional aircrack-ng_1.1-2_amd64.deb
 f7a24ed8fad122c4187d06bfd6f998b4 1453272 net optional aircrack-ng_1.1.orig.tar.gz

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBCgAGBQJP3roJAAoJEDEWul6f+mmj9t0QALK7sM+7ZjOLKNNqHLVpt2bw
HiCPl1Ch8CVBKKTcZ2XfPc07Uw5KmH60pAkcs6F8JDMOWDgs0y9sOyYsesZDREns
wUEE4Zc67N/Ofh0doAcSnvPugOm+AZsyM1Wl0F4dx8GAcbHiTzFULrw7qDCfX26e
DsRwPmxDCzhAB7x4fANe9ZBMKlc3TJnFxs/DB7AUX1Rz2nC367R3aiq0DUsBeO91
SjOdx3a+LF7T90aV7+k+ghCNzPiude4M94eY9H2ICXl9BbgEXRlv08B1v40Gl25m
0IklvVmt4oL5SqGdlco99aLGnnvaLn6vJax+7eBIeIYNajXd2WjNezS69G0HsbSs
TUXQ5Sc96WYRBSV5CWR+RhuxxcGBz59PuTmcGU26rm3AROaxiJf4OViChRPy0SCs
hZT17zHvZIv5NDIo7DRsG9VeLbUJtKJCZtSK0msJ2431f0y0i6bC3+wQ8cFjWE+w
ZVtkNaQlAnHHlhWhStyodTStRKa4nwL2mkIunb0MEV18rWDodQM8dhB7pIR/z3BN
XYXzIvyasc6MUH5vJf4CbsS56lcRkIOqsql+nyl1+hcEyPeuyvp+G6rjrGt3gwlp
DrR27Q9TnviHkN0mrKVIGF3DN9f7TwEXgfdWtZFd+6819BrZruCP8NcWWCFD/0ex
MeBmKBP/AP7zrOuG1TOl
=VGS2
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 26 Jul 2012 07:39:15 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 24 04:54:40 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.